<img src="/assets/icons/file_icon.svg" class="file-upload-item__img" alt="" />

<div class="file-upload-item__info">
  <span class="file-upload-item__name" [title]="name">{{
    name | textShortener: 24
  }}</span>
  <span class="file-upload-item__description"
    >{{ size | fileSize }} &nbsp; &nbsp;
    {{ type | fileType: name | uppercase }}</span
  >
</div>

<div class="file-upload-item-actions">
  <button
    *ngIf="hasDownloadButton"
    class="file-upload-item-actions__button file-upload-item-actions__button_download"
    (click)="onDownloadFile()"
  ></button>
  <button
    *ngIf="hasDeleteButton"
    class="file-upload-item-actions__button file-upload-item-actions__button_delete"
    (click)="onDeleteFile()"
  ></button>
</div>
